ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ZenLib::BitStream Class Reference

`#include <BitStream.h>`

Inheritance diagram for ZenLib::BitStream:

## Public Member Functions
| BitStream ()
| BitStream (const int8u *Buffer_, size_t Size_)
virtual | ~BitStream ()
virtual void | Attach (const int8u *Buffer_, size_t Size_)
virtual int32u | Get (size_t HowMany)
bool | GetB ()
int8u | Get1 (size_t HowMany)
int16u | Get2 (size_t HowMany)
int32u | Get4 (size_t HowMany)
int64u | Get8 (size_t HowMany)
virtual void | Skip (size_t HowMany)
void | SkipB ()
void | Skip1 (size_t HowMany)
void | Skip2 (size_t HowMany)
void | Skip4 (size_t HowMany)
void | Skip8 (size_t HowMany)
int32u | Peek (size_t HowMany)
bool | PeekB ()
int8u | Peek1 (size_t HowMany)
int16u | Peek2 (size_t HowMany)
int32u | Peek4 (size_t HowMany)
int32u | Peek3 (size_t HowMany)
int64u | Peek8 (size_t HowMany)
void | BookMarkPos (bool ToSet)
virtual int32u | Remain ()
virtual void | Byte_Align ()
virtual size_t | Offset_Get ()
virtual size_t | BitOffset_Get ()
virtual size_t | OffsetBeforeLastCall_Get ()

## Constructor & Destructor Documentation

ZenLib::BitStream::BitStream | ( |  | ) |
| inline

References NULL.

ZenLib::BitStream::BitStream | ( | const int8u * | Buffer_,
|  | size_t | Size_
| ) |  |
| inline

virtual ZenLib::BitStream::~BitStream | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void ZenLib::BitStream::Attach | ( | const int8u * | Buffer_,
|  | size_t | Size_
| ) |  |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

virtual size_t ZenLib::BitStream::BitOffset_Get | ( |  | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

void ZenLib::BitStream::BookMarkPos | ( | bool | ToSet | ) |
| inline

Referenced by Peek().

virtual void ZenLib::BitStream::Byte_Align | ( |  | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

References Get().

virtual int32u ZenLib::BitStream::Get | ( | size_t | HowMany | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

References MIN.

Referenced by Byte_Align(), Get1(), Get2(), Get4(), Get8(), GetB(), and Peek().

int8u ZenLib::BitStream::Get1 | ( | size_t | HowMany | ) |
| inline

References Get().

int16u ZenLib::BitStream::Get2 | ( | size_t | HowMany | ) |
| inline

References Get().

int32u ZenLib::BitStream::Get4 | ( | size_t | HowMany | ) |
| inline

References Get().

int64u ZenLib::BitStream::Get8 | ( | size_t | HowMany | ) |
| inline

References Get().

bool ZenLib::BitStream::GetB | ( |  | ) |
| inline

References Get().

virtual size_t ZenLib::BitStream::Offset_Get | ( |  | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

virtual size_t ZenLib::BitStream::OffsetBeforeLastCall_Get | ( |  | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

int32u ZenLib::BitStream::Peek | ( | size_t | HowMany | ) |
| inline

References BookMarkPos(), and Get().

Referenced by Peek1(), Peek2(), Peek3(), Peek4(), Peek8(), and PeekB().

int8u ZenLib::BitStream::Peek1 | ( | size_t | HowMany | ) |
| inline

References Peek().

int16u ZenLib::BitStream::Peek2 | ( | size_t | HowMany | ) |
| inline

References Peek().

int32u ZenLib::BitStream::Peek3 | ( | size_t | HowMany | ) |
| inline

References Peek().

int32u ZenLib::BitStream::Peek4 | ( | size_t | HowMany | ) |
| inline

References Peek().

int64u ZenLib::BitStream::Peek8 | ( | size_t | HowMany | ) |
| inline

References Peek().

bool ZenLib::BitStream::PeekB | ( |  | ) |
| inline

References Peek().

virtual int32u ZenLib::BitStream::Remain | ( |  | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

virtual void ZenLib::BitStream::Skip | ( | size_t | HowMany | ) |
| inline virtual

Reimplemented in ZenLib::BitStream_LE.

References MIN.

Referenced by Skip1(), Skip2(), Skip4(), Skip8(), and SkipB().

void ZenLib::BitStream::Skip1 | ( | size_t | HowMany | ) |
| inline

References Skip().

void ZenLib::BitStream::Skip2 | ( | size_t | HowMany | ) |
| inline

References Skip().

void ZenLib::BitStream::Skip4 | ( | size_t | HowMany | ) |
| inline

References Skip().

void ZenLib::BitStream::Skip8 | ( | size_t | HowMany | ) |
| inline

References Skip().

void ZenLib::BitStream::SkipB | ( |  | ) |
| inline

References Skip().

The documentation for this class was generated from the following file:

- BitStream.h